Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Interface MonoLibrary.MonoMarshalNative

Enclosing interface:
  MonoLibrary

    public static interface MonoLibrary.MonoMarshalNative

native declaration : mono\metadata\metadata.h
enum values

Field Summary
`static int` | `MONO_NATIVE_ANSIBSTR`
`static int` | `MONO_NATIVE_ASANY`
`static int` | `MONO_NATIVE_BOOLEAN`
`static int` | `MONO_NATIVE_BSTR`
`static int` | `MONO_NATIVE_BYVALARRAY`
`static int` | `MONO_NATIVE_BYVALTSTR`
`static int` | `MONO_NATIVE_CURRENCY`
`static int` | `MONO_NATIVE_CUSTOM`
`static int` | `MONO_NATIVE_ERROR`
`static int` | `MONO_NATIVE_FUNC`
`static int` | `MONO_NATIVE_I1`
`static int` | `MONO_NATIVE_I2`
`static int` | `MONO_NATIVE_I4`
`static int` | `MONO_NATIVE_I8`
`static int` | `MONO_NATIVE_IDISPATCH`
`static int` | `MONO_NATIVE_INT`
`static int` | `MONO_NATIVE_INTERFACE`
`static int` | `MONO_NATIVE_IUNKNOWN`
`static int` | `MONO_NATIVE_LPARRAY`
`static int` | `MONO_NATIVE_LPSTR`
`static int` | `MONO_NATIVE_LPSTRUCT`
`static int` | `MONO_NATIVE_LPTSTR`
`static int` | `MONO_NATIVE_LPWSTR`
`static int` | `MONO_NATIVE_MAX`
`static int` | `MONO_NATIVE_R4`
`static int` | `MONO_NATIVE_R8`
`static int` | `MONO_NATIVE_SAFEARRAY`
`static int` | `MONO_NATIVE_STRUCT`
`static int` | `MONO_NATIVE_TBSTR`
`static int` | `MONO_NATIVE_U1`
`static int` | `MONO_NATIVE_U2`
`static int` | `MONO_NATIVE_U4`
`static int` | `MONO_NATIVE_U8`
`static int` | `MONO_NATIVE_UINT`
`static int` | `MONO_NATIVE_VARIANTBOOL`
`static int` | `MONO_NATIVE_VBBYREFSTR`

Field Detail

### MONO_NATIVE_BOOLEAN

    static final int MONO_NATIVE_BOOLEAN

See Also:
  Constant Field Values

### MONO_NATIVE_I1

    static final int MONO_NATIVE_I1

See Also:
  Constant Field Values

### MONO_NATIVE_U1

    static final int MONO_NATIVE_U1

See Also:
  Constant Field Values

### MONO_NATIVE_I2

    static final int MONO_NATIVE_I2

See Also:
  Constant Field Values

### MONO_NATIVE_U2

    static final int MONO_NATIVE_U2

See Also:
  Constant Field Values

### MONO_NATIVE_I4

    static final int MONO_NATIVE_I4

See Also:
  Constant Field Values

### MONO_NATIVE_U4

    static final int MONO_NATIVE_U4

See Also:
  Constant Field Values

### MONO_NATIVE_I8

    static final int MONO_NATIVE_I8

See Also:
  Constant Field Values

### MONO_NATIVE_U8

    static final int MONO_NATIVE_U8

See Also:
  Constant Field Values

### MONO_NATIVE_R4

    static final int MONO_NATIVE_R4

See Also:
  Constant Field Values

### MONO_NATIVE_R8

    static final int MONO_NATIVE_R8

See Also:
  Constant Field Values

### MONO_NATIVE_CURRENCY

    static final int MONO_NATIVE_CURRENCY

See Also:
  Constant Field Values

### MONO_NATIVE_BSTR

    static final int MONO_NATIVE_BSTR

See Also:
  Constant Field Values

### MONO_NATIVE_LPSTR

    static final int MONO_NATIVE_LPSTR

See Also:
  Constant Field Values

### MONO_NATIVE_LPWSTR

    static final int MONO_NATIVE_LPWSTR

See Also:
  Constant Field Values

### MONO_NATIVE_LPTSTR

    static final int MONO_NATIVE_LPTSTR

See Also:
  Constant Field Values

### MONO_NATIVE_BYVALTSTR

    static final int MONO_NATIVE_BYVALTSTR

See Also:
  Constant Field Values

### MONO_NATIVE_IUNKNOWN

    static final int MONO_NATIVE_IUNKNOWN

See Also:
  Constant Field Values

### MONO_NATIVE_IDISPATCH

    static final int MONO_NATIVE_IDISPATCH

See Also:
  Constant Field Values

### MONO_NATIVE_STRUCT

    static final int MONO_NATIVE_STRUCT

See Also:
  Constant Field Values

### MONO_NATIVE_INTERFACE

    static final int MONO_NATIVE_INTERFACE

See Also:
  Constant Field Values

### MONO_NATIVE_SAFEARRAY

    static final int MONO_NATIVE_SAFEARRAY

See Also:
  Constant Field Values

### MONO_NATIVE_BYVALARRAY

    static final int MONO_NATIVE_BYVALARRAY

See Also:
  Constant Field Values

### MONO_NATIVE_INT

    static final int MONO_NATIVE_INT

See Also:
  Constant Field Values

### MONO_NATIVE_UINT

    static final int MONO_NATIVE_UINT

See Also:
  Constant Field Values

### MONO_NATIVE_VBBYREFSTR

    static final int MONO_NATIVE_VBBYREFSTR

See Also:
  Constant Field Values

### MONO_NATIVE_ANSIBSTR

    static final int MONO_NATIVE_ANSIBSTR

See Also:
  Constant Field Values

### MONO_NATIVE_TBSTR

    static final int MONO_NATIVE_TBSTR

See Also:
  Constant Field Values

### MONO_NATIVE_VARIANTBOOL

    static final int MONO_NATIVE_VARIANTBOOL

See Also:
  Constant Field Values

### MONO_NATIVE_FUNC

    static final int MONO_NATIVE_FUNC

See Also:
  Constant Field Values

### MONO_NATIVE_ASANY

    static final int MONO_NATIVE_ASANY

See Also:
  Constant Field Values

### MONO_NATIVE_LPARRAY

    static final int MONO_NATIVE_LPARRAY

See Also:
  Constant Field Values

### MONO_NATIVE_LPSTRUCT

    static final int MONO_NATIVE_LPSTRUCT

See Also:
  Constant Field Values

### MONO_NATIVE_CUSTOM

    static final int MONO_NATIVE_CUSTOM

See Also:
  Constant Field Values

### MONO_NATIVE_ERROR

    static final int MONO_NATIVE_ERROR

See Also:
  Constant Field Values

### MONO_NATIVE_MAX

    static final int MONO_NATIVE_MAX

See Also:
  Constant Field Values

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD